package com.ejie.ab79.model;


import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * PreguntasJson  
 *  
 */

public class PreguntasJson  implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
            private Integer idPreguntaJson;
            private InspeccionesJson inspeccionesJson;
            private Integer idPreguntaProtocolo;
            private Integer idPreguntaExpediente;
            private String idPreguntaMovil;
            private Integer estado;
            private String error;
            private Date fechaRegistro;
            private String usuarioRegistro;
            private Date fechaUltmodificacion;
            private String usuarioUltmodificacion;
            private List<DocumentosJson> documentosJsons = new ArrayList<DocumentosJson>();

	/** 
	 * Method 'PreguntasJson'.
	 */
    public PreguntasJson() {
    }


	
    
    /** 
     * Method 'PreguntasJson'.
     * @param idPreguntaJson Integer
     */    
     public PreguntasJson(Integer idPreguntaJson) {
          this.idPreguntaJson = idPreguntaJson;
	}


    /** 
     * Method 'PreguntasJson'.
     * @param idPreguntaJson Integer
     * @param idPreguntaProtocolo Integer
     * @param idPreguntaExpediente Integer
     * @param idPreguntaMovil String
     * @param estado Integer
     * @param error String
     * @param fechaRegistro Date
     * @param usuarioRegistro String
     * @param fechaUltmodificacion Date
     * @param usuarioUltmodificacion String
     * @param inspeccionesJson InspeccionesJson
     */
     public PreguntasJson(Integer idPreguntaJson, Integer idPreguntaProtocolo, Integer idPreguntaExpediente, String idPreguntaMovil, Integer estado, String error, Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion, String usuarioUltmodificacion , InspeccionesJson inspeccionesJson) {	
        this.idPreguntaJson = idPreguntaJson;
        this.inspeccionesJson = inspeccionesJson;
        this.idPreguntaProtocolo = idPreguntaProtocolo;
        this.idPreguntaExpediente = idPreguntaExpediente;
        this.idPreguntaMovil = idPreguntaMovil;
        this.estado = estado;
        this.error = error;
        this.fechaRegistro = fechaRegistro;
        this.usuarioRegistro = usuarioRegistro;
        this.fechaUltmodificacion = fechaUltmodificacion;
        this.usuarioUltmodificacion = usuarioUltmodificacion;
	}
    

    /** 
     * Method 'PreguntasJson'.
     * @param idPreguntaJson Integer
     * @param idPreguntaProtocolo Integer
     * @param idPreguntaExpediente Integer
     * @param idPreguntaMovil String
     * @param estado Integer
     * @param error String
     * @param fechaRegistro Date
     * @param usuarioRegistro String
     * @param fechaUltmodificacion Date
     * @param usuarioUltmodificacion String
     * @param inspeccionesJson InspeccionesJson
     * @param documentosJsons List<DocumentosJson>
     */
   public PreguntasJson(Integer idPreguntaJson, Integer idPreguntaProtocolo, Integer idPreguntaExpediente, String idPreguntaMovil, Integer estado, String error, Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion, String usuarioUltmodificacion, InspeccionesJson inspeccionesJson, List<DocumentosJson> documentosJsons) {	

           this.idPreguntaJson = idPreguntaJson;
           this.inspeccionesJson = inspeccionesJson;
           this.idPreguntaProtocolo = idPreguntaProtocolo;
           this.idPreguntaExpediente = idPreguntaExpediente;
           this.idPreguntaMovil = idPreguntaMovil;
           this.estado = estado;
           this.error = error;
           this.fechaRegistro = fechaRegistro;
           this.usuarioRegistro = usuarioRegistro;
           this.fechaUltmodificacion = fechaUltmodificacion;
           this.usuarioUltmodificacion = usuarioUltmodificacion;
           this.documentosJsons = documentosJsons;
    }

    /**
	 * Method 'getIdPreguntaJson'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdPreguntaJson() {
		return this.idPreguntaJson;
	}

	/**
	 * Method 'setIdPreguntaJson'.
	 *
	 * @param idPreguntaJson Integer
	 * @return
     */
	
	public void setIdPreguntaJson(Integer idPreguntaJson) {
		this.idPreguntaJson = idPreguntaJson;
	}
    /**
	 * Method 'getInspeccionesJson'.
	 *
	 * @return InspeccionesJson
	 */
	@JsonIgnore
	
	public InspeccionesJson getInspeccionesJson() {
		return this.inspeccionesJson;
	}

	/**
	 * Method 'setInspeccionesJson'.
	 *
	 * @param inspeccionesJson InspeccionesJson
	 * @return
     */
	
	public void setInspeccionesJson(InspeccionesJson inspeccionesJson) {
		this.inspeccionesJson = inspeccionesJson;
	}
    /**
	 * Method 'getIdPreguntaProtocolo'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdPreguntaProtocolo() {
		return this.idPreguntaProtocolo;
	}

	/**
	 * Method 'setIdPreguntaProtocolo'.
	 *
	 * @param idPreguntaProtocolo Integer
	 * @return
     */
	
	public void setIdPreguntaProtocolo(Integer idPreguntaProtocolo) {
		this.idPreguntaProtocolo = idPreguntaProtocolo;
	}
    /**
	 * Method 'getIdPreguntaExpediente'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdPreguntaExpediente() {
		return this.idPreguntaExpediente;
	}

	/**
	 * Method 'setIdPreguntaExpediente'.
	 *
	 * @param idPreguntaExpediente Integer
	 * @return
     */
	
	public void setIdPreguntaExpediente(Integer idPreguntaExpediente) {
		this.idPreguntaExpediente = idPreguntaExpediente;
	}
    /**
	 * Method 'getIdPreguntaMovil'.
	 *
	 * @return String
	 */
	
	
	public String getIdPreguntaMovil() {
		return this.idPreguntaMovil;
	}

	/**
	 * Method 'setIdPreguntaMovil'.
	 *
	 * @param idPreguntaMovil String
	 * @return
     */
	
	public void setIdPreguntaMovil(String idPreguntaMovil) {
		this.idPreguntaMovil = idPreguntaMovil;
	}
    /**
	 * Method 'getEstado'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getEstado() {
		return this.estado;
	}

	/**
	 * Method 'setEstado'.
	 *
	 * @param estado Integer
	 * @return
     */
	
	public void setEstado(Integer estado) {
		this.estado = estado;
	}
    /**
	 * Method 'getError'.
	 *
	 * @return String
	 */
	
	
	public String getError() {
		return this.error;
	}

	/**
	 * Method 'setError'.
	 *
	 * @param error String
	 * @return
     */
	
	public void setError(String error) {
		this.error = error;
	}
    /**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro java.util.Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}
    /**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */
	
	
	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro String
	 * @return
     */
	
	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}
    /**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion java.util.Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}
    /**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */
	
	
	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion String
	 * @return
     */
	
	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}
	/**
	 * Method 'getDocumentosJsons'.
	 *
	 * @return List
	 */
	@JsonIgnore
	public List<DocumentosJson> getDocumentosJsons() {
		return this.documentosJsons;
	}
	
	/**
	 * Method 'setDocumentosJsons'.
	 *
	 * @param documentosJsons List
	 * @return
	 */
	public void setDocumentosJsons(List<DocumentosJson> documentosJsons) {
		this.documentosJsons = documentosJsons;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { " ); 
		result.append(" [ idPreguntaJson: ").append(this.idPreguntaJson).append(" ]");
		result.append(", [ idPreguntaProtocolo: ").append(this.idPreguntaProtocolo).append(" ]");
		result.append(", [ idPreguntaExpediente: ").append(this.idPreguntaExpediente).append(" ]");
		result.append(", [ idPreguntaMovil: ").append(this.idPreguntaMovil).append(" ]");
		result.append(", [ estado: ").append(this.estado).append(" ]");
		result.append(", [ error: ").append(this.error).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}


}

